%define _disable_source_fetch 0
%define debug_package %{nil}

Name:           kf6-kcrash
Version:        6.24.0
Release:        1%{?dist}
Summary:        KDE Frameworks 6 - Graceful handling of application crashes

License:        LGPL-2.0-or-later
URL:            https://invent.kde.org/frameworks/kcrash
Source0:        https://download.kde.org/stable/frameworks/6.24/kcrash-%{version}.tar.xz

BuildRequires:  extra-cmake-modules
BuildRequires:  kf6-rpm-macros
BuildRequires:  qt6-qtbase-devel
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  gcc-c++

%description
KCrash provides support for intercepting and handling application crashes.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
Development files for %{name}.

%prep
%autosetup -n kcrash-%{version} -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%files
%license LICENSES/*
%{_libdir}/libKF6Crash.so.*
%{_datadir}/qlogging-categories6/kcrash.categories
%{_datadir}/qlogging-categories6/kcrash.renamecategories

%files devel
%{_includedir}/KF6/KCrash/
%{_libdir}/libKF6Crash.so
%{_libdir}/cmake/KF6Crash/

%changelog
* Tue Mar 24 2026 Anders <andersrh@users.noreply.github.com> - 6.24.0-1
- Upgrade to 6.24.0
